#
# spec file for package openSUSE-Addon-NonOss-release (Version 15.4)
#
# Copyright (c) 2022 openSUSE.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.


Name:           openSUSE-Addon-NonOss-release
%define         product Leap-Addon-NonOss
Summary:        openSUSE Leap 15.4 NonOSS Addon%{?betaversion: %{betaversion}}
Version:        15.4
Release:        lp154.166.1
License:        BSD-3-Clause
Group:          System/Fhs

Provides:       %name-%version
Provides:       product() = Leap-Addon-NonOss
Provides:       product(Leap-Addon-NonOss) = 15.4-0
Provides:       product-label() = non%20oss%20addon
Provides:       product-cpeid() = cpe%3A%2Fo%3Aopensuse%3Aleap%2Daddon%2Dnonoss%3A15.4


AutoReqProv:    on

%description
non oss repo and cd




%prep

%build


%install
mkdir -p %{buildroot}%{_sysconfdir}/products.d
cat >%{buildroot}%{_sysconfdir}/products.d/Leap-Addon-NonOss.prod << EOF
<?xml version="1.0" encoding="UTF-8"?>
<product schemeversion="0">
  <vendor>openSUSE</vendor>
  <name>Leap-Addon-NonOss</name>
  <version>15.4</version>
  <release>0</release>
  <arch>%{_target_cpu}</arch>
  <cpeid>cpe:/o:opensuse:leap-addon-nonoss:15.4</cpeid>
  <register>
    <pool>
    </pool>
    <updates>
    </updates>
  </register>
  <repositories>
  </repositories>
  <summary>openSUSE Leap 15.4 NonOSS Addon</summary>
  <shortsummary>non oss addon</shortsummary>
  <description>non oss repo and cd</description>
  <linguas>
    <language>af</language>
    <language>ar</language>
    <language>be_BY</language>
    <language>bg</language>
    <language>br</language>
    <language>ca</language>
    <language>cy</language>
    <language>el</language>
    <language>et</language>
    <language>ga</language>
    <language>gl</language>
    <language>gu_IN</language>
    <language>he</language>
    <language>hi_IN</language>
    <language>hr</language>
    <language>ka</language>
    <language>km</language>
    <language>ko</language>
    <language>lt</language>
    <language>mk</language>
    <language>nn</language>
    <language>pa_IN</language>
    <language>rw</language>
    <language>sk</language>
    <language>sl</language>
    <language>sr_CS</language>
    <language>ss</language>
    <language>st</language>
    <language>tg</language>
    <language>th</language>
    <language>tr</language>
    <language>uk</language>
    <language>ve</language>
    <language>vi</language>
    <language>xh</language>
    <language>zu</language>
  </linguas>
  <urls>
  </urls>
  <buildconfig>
    <producttheme>openSUSE</producttheme>
    <allowresolving>false</allowresolving>
  </buildconfig>
  <installconfig>
    <releasepackage name="%{name}" flag="EQ" version="%{version}" release="%{release}"/>
  </installconfig>
  <runtimeconfig/>
</product>

EOF



%files
%defattr(644,root,root,755)
%dir %{_sysconfdir}/products.d
%{_sysconfdir}/products.d/*.prod

%changelog
* Mon Jun 27 2022 Marcus Meissner <meissner@suse.com>
- set EOL to 2023-11-30 for now (bsc#1200943)
